Get Prescription details
curl --request GET \
--url https://api.eka.care/dr/v1/prescription/{prescription_id} \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/dr/v1/prescription/{prescription_id}"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/dr/v1/prescription/{prescription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prescription_id": "{{prescription_id}}",
"doctor_id": "171266028552522",
"partner_doctor_id": "1712660285igfewifwe",
"doctor_name": "Sanjana",
"patient_name": "Sanjana",
"patient_id": "161435344380774",
"partner_patient_id": "ghjkf9e",
"appointment_id": "V-DW-1730717340935-171266028552522-8JR9",
"partner_appointment_id": "guyfwe8f34ni34o",
"clinic_id": "6615195c289dd3001d3c0b31",
"partner_clinic_id": "07528934jferiugh",
"prescription_details": [
{
"resource_type": "appointment",
"follow_up": "2024-11-10T18:30:00+00:00",
"note": []
},
{
"resource_type": "condition_history",
"condition": {
"code": "38341003",
"display": "High blood pressure"
},
"note": [],
"severity": null,
"onset": null,
"clinical_status": {
"code": "active",
"display": "active"
},
"verification_status": {
"code": "confirmed",
"display": "confirmed"
}
},
{
"resource_type": "condition",
"condition": {
"code": "194828000",
"display": "Angina"
},
"note": [],
"severity": null,
"onset": null,
"clinical_status": {
"code": "active",
"display": "active"
},
"verification_status": {
"code": "confirmed",
"display": "confirmed"
}
},
{
"resource_type": "advices",
"advices": "Need to consider further treatment of AS > TAVR or Surgical AVR",
"status": "active",
"intent": "plan"
},
{
"resource_type": "inpatient_encounter",
"status": "planned",
"notes": "Bone facture"
},
{
"resource_type": "custom_section",
"title": "{custom_title}",
"note": [
{
"name": "{custom_name}",
"value": "{custom_value}"
}
]
},
{
"resource_type": "servicerequest",
"lab_id": "medanta2958577545",
"status": "active",
"lab_name": "ECG",
"note": []
},
{
"resource_type": "observation",
"status": "final",
"observation": {
"code": "29857009",
"display": "chest pain"
},
"since": {},
"severity": {
"code": "",
"display": ""
},
"category": {
"code": "symptom",
"display": "symptom"
},
"note": []
},
{
"resource_type": "vitals",
"status": "final",
"observation": {
"code": "lb-1201285132",
"display": "Pulse rate"
},
"since": {
"type": "datetime",
"start": "2024-11-04T10:49:00.936000+00:00"
},
"severity": {
"code": "",
"display": ""
},
"category": {
"code": "vital-signs",
"display": "Vital Signs"
},
"note": [],
"valueQuantity": {
"system": "http://eka.care/mdb/technical",
"unit": "/min",
"value": 45
},
"component": []
},
{
"resource_type": "lifestyle",
"status": "Active",
"observation": {
"code": "3",
"display": "Alcohol"
},
"since": {},
"severity": {
"code": "status",
"display": "Active"
},
"category": {
"code": "social-history",
"display": "Social History"
},
"note": []
},
{
"resource_type": "medicationrequest",
"partner_drug_id": "medanta3806727491",
"drug_status": "active",
"med_name": "Olmezest 40 Tablet",
"snomed_id": "1234567",
"dose": {
"id": "du-5550260779",
"value": 1,
"unit": "tablet",
"custom": "1.0 tablet"
},
"additional_instructions": [
{
"custom": "After Meal",
"type": "timing"
}
],
"duration": {
"unit": "wk",
"value": 2,
"custom": "2 wk",
"period": "1",
"period_unit": "d",
"frequency": 2
},
"dosage_instruction": {
"custom": "1-0-1",
"when": [
"MORN",
"NIGHT"
],
"period": "1",
"period_unit": "d",
"frequency": 2
},
"note": "Take with water",
"dispense_quantity": {
"value": 28,
"unit": "tablet"
}
}
]
}Prescription API
Get Prescription details
This API retrieves comprehensive details of a prescription created by a doctor. It provides a rich set of data encompassing patient history, diagnosis, medications, lab tests, and various other clinical elements. The response includes:
GET
/
dr
/
v1
/
prescription
/
{prescription_id}
Get Prescription details
Headers
Authentication token
Path Parameters
Prescription ID
Response
OK
Example:
"{{prescription_id}}"
Example:
"171266028552522"
Example:
"1712660285igfewifwe"
Example:
"Sanjana"
Example:
"Sanjana"
Example:
"161435344380774"
Example:
"ghjkf9e"
Example:
"V-DW-1730717340935-171266028552522-8JR9"
Example:
"guyfwe8f34ni34o"
Example:
"6615195c289dd3001d3c0b31"
Example:
"07528934jferiugh"
prescription_details
(Appointment Details · object | Condition History · object | Condition · object | Advices · object | Admission Advised · object | Custom Section · object | Service Request · object | Observation · object | Vitals · object | Lifestyle · object | Medication Request · object)[]
- Appointment Details
- Condition History
- Condition
- Advices
- Admission Advised
- Custom Section
- Service Request
- Observation
- Vitals
- Lifestyle
- Medication Request
Show child attributes
Show child attributes
Example:
[
{
"resource_type": "appointment",
"follow_up": "2024-11-10T18:30:00+00:00",
"note": []
},
{
"resource_type": "condition_history",
"condition": {
"code": "38341003",
"display": "High blood pressure"
},
"note": [],
"severity": null,
"onset": null,
"clinical_status": { "code": "active", "display": "active" },
"verification_status": {
"code": "confirmed",
"display": "confirmed"
}
},
{
"resource_type": "condition",
"condition": { "code": "194828000", "display": "Angina" },
"note": [],
"severity": null,
"onset": null,
"clinical_status": { "code": "active", "display": "active" },
"verification_status": {
"code": "confirmed",
"display": "confirmed"
}
},
{
"resource_type": "advices",
"advices": "Need to consider further treatment of AS > TAVR or Surgical AVR",
"status": "active",
"intent": "plan"
},
{
"resource_type": "inpatient_encounter",
"status": "planned",
"notes": "Bone facture"
},
{
"resource_type": "custom_section",
"title": "{custom_title}",
"note": [
{
"name": "{custom_name}",
"value": "{custom_value}"
}
]
},
{
"resource_type": "servicerequest",
"lab_id": "medanta2958577545",
"status": "active",
"lab_name": "ECG",
"note": []
},
{
"resource_type": "observation",
"status": "final",
"observation": {
"code": "29857009",
"display": "chest pain"
},
"since": {},
"severity": { "code": "", "display": "" },
"category": { "code": "symptom", "display": "symptom" },
"note": []
},
{
"resource_type": "vitals",
"status": "final",
"observation": {
"code": "lb-1201285132",
"display": "Pulse rate"
},
"since": {
"type": "datetime",
"start": "2024-11-04T10:49:00.936000+00:00"
},
"severity": { "code": "", "display": "" },
"category": {
"code": "vital-signs",
"display": "Vital Signs"
},
"note": [],
"valueQuantity": {
"system": "http://eka.care/mdb/technical",
"unit": "/min",
"value": 45
},
"component": []
},
{
"resource_type": "lifestyle",
"status": "Active",
"observation": { "code": "3", "display": "Alcohol" },
"since": {},
"severity": { "code": "status", "display": "Active" },
"category": {
"code": "social-history",
"display": "Social History"
},
"note": []
},
{
"resource_type": "medicationrequest",
"partner_drug_id": "medanta3806727491",
"drug_status": "active",
"med_name": "Olmezest 40 Tablet",
"snomed_id": "1234567",
"dose": {
"id": "du-5550260779",
"value": 1,
"unit": "tablet",
"custom": "1.0 tablet"
},
"additional_instructions": [
{ "custom": "After Meal", "type": "timing" }
],
"duration": {
"unit": "wk",
"value": 2,
"custom": "2 wk",
"period": "1",
"period_unit": "d",
"frequency": 2
},
"dosage_instruction": {
"custom": "1-0-1",
"when": ["MORN", "NIGHT"],
"period": "1",
"period_unit": "d",
"frequency": 2
},
"note": "Take with water",
"dispense_quantity": { "value": 28, "unit": "tablet" }
}
]
Was this page helpful?
⌘I

